#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'colours/autoinclude'
require 'gtk_paradise/require_gtk2'
require 'gtk_paradise/widgets/gtk2/tabby/view.rb'

module Gtk

class Tabby < ::Gtk::HBox # === Gtk::Tabby

  require 'gtk_paradise/widgets/shared_code/tabby/tabby_module.rb'
  include ::Gtk::Tabby::TabbyModule

  # ========================================================================= #
  # === Gtk::Tabby.run
  # ========================================================================= #
  def self.run
    ::Gtk::Tabby::TabbyModule.run
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Gtk::Tabby.run
end # tabby